## python2.7 2.7.3~rc2-2.1-maemo5

=== debian/changelog ===
python2.7 (2.7.3~rc2-2.1-maemo5) unstable; urgency=low

  * Fix ctypes (http://whocares.de/finally-a-fix-for-python-2-7-aborts-on-import-of-ctypes/)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 06 Jun 2013 09:10:26 +0200

python2.7 (2.7.3~rc2-2.1-maemo4) unstable; urgency=low

  * Run autoconf locally (builder's autoconf is pointing too old version)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 20 Sep 2012 15:27:26 +0200

python2.7 (2.7.3~rc2-2.1-maemo1) unstable; urgency=low

  * For Fremantle, optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  7 Sep 2012 16:00:26 +0200

python2.7 (2.7.3~rc2-2.1) unstable; urgency=low

  * Non-maintainer upload (with maintainer's permission).
  * Disable testsuite on GNU/kFreeBSD.  (Closes: #669281)

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 22:04:26 +0200

python2.7 (2.7.3~rc2-2) unstable; urgency=low

  * Use xdg-open/gvfs-open in Lib/webbrowser.py (Michael Vogt). 
    LP: #971311.
  * Add a paragraph about python-foo-dbg packages to README.debug.
    LP: #872050.
  * Disable some tests (no feedback from porters):
    - test_socket on hurd-i386.
    - test_io on amd64.
    - test_signal on kfreebsd-*. Closes: #654783.
    - test_threading on sparc.
  * Tighten build dependency on libexpat-dev. Closes: #665346.
  * Build-depend on db-5.1, don't care about testsuite regressions on
    some esoteric ports.  If packages rely on threaded applications or
    transactions, please use the python-bsddb3 package.
    Closes: #621374.
  * Don't ship the python2 and python2-config symlinks, move these
    to the python-minimal and python-dev packages. Closes: #663874.
  * Remove PVER-doc.doc-base.PVER-doc.in. Closes: #656763.
  * Update symbols files.
  * Avoid runtime path for the sqlite extension.
  * CVE-2011-4944, distutils creates ~/.pypirc insecurely. Closes: #650555.
  * Fix issue #14505, file descriptor leak when deallocating file objects
    created with PyFile_FromString(). Closes: #664529.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Apr 2012 15:47:03 +0200

python2.7 (2.7.3~rc2-1) unstable; urgency=low

  * Python 2.7.3 release candidate 2.
  * Build-depend on expat >= 2.1~.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Mar 2012 05:21:47 +0100

python2.7 (2.7.3~rc1-1) unstable; urgency=low

  * Python 2.7.3 release candidate 1.
  * Update to 20120309, taken from the 2.7 branch.
  * Fix dangling libpython.a symlink. Closes: #660231.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Mar 2012 19:28:43 +0100

python2.7 (2.7.2-13) unstable; urgency=low

  * Update to 20120120, taken from the 2.7 branch.
  * Remove patch integrated upstream (issue9054.diff).
  * Backport Issue #9189 to distutils/sysconfig.py as well.
    Closes: #656118.
  * Disable test_io on kfreebsd again. Closes: #654783.
  * Disable test_bsddb3 tests on kfreebsd again.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jan 2012 16:33:47 +0100

python2.7 (2.7.2-12) unstable; urgency=low

  * Run the tests with a script command which doesn't exit immediatly
    when stdin is /dev/null (Colin Watson).

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jan 2012 11:04:31 +0100

python2.7 (2.7.2-11) unstable; urgency=low

  * Don't run the test_site tests when $HOME doesn't exist.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jan 2012 09:19:00 +0100

python2.7 (2.7.2-10) unstable; urgency=low

  * Update to 20120110, taken from the 2.7 branch.
  * Overwrite some lintian warnings:
    - The -dbg interpreters are not unusual.
    - The -gdb.py files don't need a python dependency.
    - lintian can't handle a whatis entry starting with one word on the line.
  * Fix test failures related to distutils debian installation layout.
  * Add build-arch/build-indep targets.
  * Regenerate Setup and Makefiles after correcting Setup.local.
  * profiled-build.diff: Pass PY_CFLAGS instead of CFLAGS for the profiled
    build.
  * Pass dpkg-buildflags to the build process, and build third party
    extensions with these flags.
  * Add support to build using -flto (and -g1) on some architectures.
  * Disable pgo builds for some architectures (for now, keep just
    amd64 armel armhf i386 powerpc ppc64).
  * Build-depend on libgdbm-dev to build and run the gdbm tests.
  * Build-depend on xvfb to run the tkinter tests.
  * python2.7: Provide python2.7-argparse and python-argparse.
  * Don't run test_threading on mips/mipsel.
  * Run the test_gdb test for the debug build only.
  * Add build conflict to python-cxx-dev (pydoc test failures).
  * Disable test_ssl certificate check, certificate expired on python.org.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2012 16:44:56 +0100

python2.7 (2.7.2-9) unstable; urgency=low

  * Update to 20111217, taken from the 2.7 branch.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 17:36:27 +0100

python2.7 (2.7.2-8) unstable; urgency=low

  * Update to 20111130, taken from the 2.7 branch.
  * New patch, ctypes-arm, allow for ",hard-float" after libc6 in ldconfig -p
    output (Loic Minier). LP: #898172.
  * debian/rules: Define DPKG_VARS (Alban Browaeys). Closes: #647419).
  * Add python-config man page (Johann Felix Soden). Closes: #650181).

 -- Matthias Klose <doko@debian.org>  Wed, 30 Nov 2011 19:16:23 +0100

python2.7 (2.7.2-7) unstable; urgency=low

  * Adjust patches for removed Lib/plat-linux3.
  * Add build conflict to libncurses5-dev, let configure search for
    ncurses headers in /usr/include/ncursesw too.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Oct 2011 11:30:16 +0200

python2.7 (2.7.2-6) unstable; urgency=low

  * Update to 20111004, taken from the 2.7 branch.
  * Use the ncursesw include directory when linking with ncursesw.
  * Rebuild with libreadline not linked with libncurses*. Closes: #643816.
  * Fix typos in the multiprocessing module. Closes: #643856.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2011 16:09:29 +0200

python2.7 (2.7.2-5) unstable; urgency=low


