## python2.7 2.7.3~rc2-2.1-maemo6

=== debian/changelog ===
python2.7 (2.7.3~rc2-2.1-maemo6) unstable; urgency=low

  * Version bump (same version than before)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 16 Aug 2013 19:02:26 +0200
