## python2.7 2.7.3~rc2-2.1-maemo8

=== debian/changelog ===
python2.7 (2.7.3~rc2-2.1-maemo8) unstable; urgency=low

  * Dropped one more profiled build

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 19 Nov 2013 18:43:26 +0200

python2.7 (2.7.3~rc2-2.1-maemo7) unstable; urgency=low

  * Version bump (same version than before): repository deleted previous version

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 14 Nov 2013 14:19:26 +0200
