## python2.7 2.7.3~rc2-2.1-maemo9

=== debian/changelog ===
python2.7 (2.7.3~rc2-2.1-maemo9) unstable; urgency=low

  * For Fremantle, optified
  * Fix ctypes (http://whocares.de/finally-a-fix-for-python-2-7-aborts-on-import-of-ctypes/)
  * Run autoconf locally (builder's autoconf is pointing too old version)
  * Dropped profiled build

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 24 Nov 2013 22:06:26 +0200
