=== debian/rules ===
--- 
+++ 
@@ -144,7 +144,8 @@
     EXTRA_OPT_CFLAGS += -g1 -flto -fuse-linker-plugin
 endif
 
-make_build_target = $(if $(with_pgo),profile-opt)
+make_build_target = 
+#make_build_target = $(if $(with_pgo))
 
 buildd_static	:= $(CURDIR)/build-static
 buildd_shared	:= $(CURDIR)/build-shared
