## python2.7 2.7.16.2

=== debian/changelog ===
python2.7 (2.7.16.2-1+eagle) unstable; urgency=medium

  * update

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2021 14:12:30 +0800

python2.7 (2.7.16.1-1+dde) unstable; urgency=medium

  * update changelog.
  * 

 -- liuxin <liuxin@uniontech.com>  Wed, 29 Jul 2020 20:39:06 +0800

python2.7 (2.7.16-2+deb10u1) buster; urgency=medium

  * CVE-2018-20852
  * CVE-2019-10160
  * CVE-2019-16056 (Closes: #940901)
  * CVE-2019-16935
  * CVE-2019-9740
  * CVE-2019-9947

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 11 Oct 2019 00:02:15 +0200

python2.7 (2.7.16-2) unstable; urgency=high

  [ Matthias Klose ]
  * CVE-2019-9636. Fix issue #36216: Add check for characters in netloc that
    normalize to separators. Closes: #924073.
  * CVE-2019-9948. Fix issue #35907: Stop urllib exposing the local_file schema
    (file://).

  [ Dimitri John Ledkov ]
  * Bump Build-Depedency and Dependency of libssl-dev and libss1.1 to
    1.1.1 or higher. As TLS1.3 constants leak into ssl module, thus one
    shouldn't mix and match python2.7 & libssl1.1. LP: #1808476

 -- Matthias Klose <doko@debian.org>  Sat, 06 Apr 2019 03:42:57 +0200

python2.7 (2.7.16-1) unstable; urgency=medium

  * Python 2.7.16 release.
    - Now has a version without a trailing '+'. Closes: #914072.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Mar 2019 16:29:09 +0100

python2.7 (2.7.16~rc1-1) unstable; urgency=medium

  * Python 2.7.16 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Feb 2019 12:05:09 +0100

python2.7 (2.7.15-9) unstable; urgency=medium

  * Update to 20190216 from the 2.7 branch.
    - Backport of TLS 1.3 related fixes from 3.7.
  * Drop the local TLS 1.3 backports.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Feb 2019 11:39:20 +0100

python2.7 (2.7.15-8) unstable; urgency=medium

  * Fix typo in autopkg test.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2019 14:13:16 +0100

python2.7 (2.7.15-7) unstable; urgency=medium

  * Expect the test_site test failing as in 3.7.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2019 12:51:14 +0100

python2.7 (2.7.15-6) unstable; urgency=medium

  * Update to 20190201 from the 2.7 branch.
    - CVE-2013-1752: Limit imaplib.IMAP4_SSL.readline().
    - CVE-2018-14647: _elementtree.c doesn't call XML_SetHashSalt().
      Closes: #921039.
    - CVE-2019-5010: DsO vulnerability exists in the X509 certificate parser.
      Closes: #921040.
  * Bump standards version.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Feb 2019 08:18:31 +0100

python2.7 (2.7.15-5) unstable; urgency=medium

  * Update to 20181127 from the 2.7 branch.
    - Fix issue #20744, running an external 'zip' in shutil.make_archive().
      CVE-2018-1000802. Closes: #909673.
  * Cherrypick in-progress backports to 2.7 branch from 3.6 branch to fix
    test_ssl assertions with openssl 1.1.1. Resolves autopkgtest failure
    of the 2.7 with openssl 1.1.1 (Dimitri John Ledkov).
  * Don't hard code location of netinet/in.h. Closes: #912422.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Nov 2018 17:27:22 +0100

python2.7 (2.7.15-4) unstable; urgency=medium

  * Update to 20180831 from the 2.7 branch.
    - Fixes the build with OpenSSL 1.1.1. Closes: #900157.
  * Don't run the test_ftplib and test_ssl autopkg tests, not yet ready
    for OpenSSL 1.1.1. Closes: #907033.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Aug 2018 13:56:52 +0200

python2.7 (2.7.15-3) unstable; urgency=medium

  * Bump standards version.
  * Pass the list of the pyFPE breaks as a parameter into dpkg-gencontrol
    instead of hard-coding them in the control file.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jul 2018 13:29:29 +0200

python2.7 (2.7.15-1) unstable; urgency=medium

  * Python 2.7.15 release.

 -- Matthias Klose <doko@debian.org>  Tue, 01 May 2018 07:55:50 +0200

python2.7 (2.7.15~rc1-1) unstable; urgency=medium

  * Python 2.7.15 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Apr 2018 23:51:34 +0200

python2.7 (2.7.14-8) unstable; urgency=medium

  * Update to 20180402 from the 2.7 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 06:16:25 +0200

python2.7 (2.7.14-7) unstable; urgency=medium

  * Update to 20180313 from the 2.7 branch.
    - Fix issue #32185: The SSL module no longer sends IP addresses in SNI TLS
      extension on platforms with OpenSSL 1.0.2+ or inet_pton. See #892814.
  * Add support for riscv64 (Aurelien Jarno). Closes: #892329.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Mar 2018 16:23:44 +0100

python2.7 (2.7.14-6) unstable; urgency=medium

  * Don't run lib2to3 tests which rely on the pickled grammar files.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 20:12:18 +0100

python2.7 (2.7.14-5) unstable; urgency=medium

  * Update to 20180204 from the 2.7 branch.
    - Fix issue #31530. Closes: #889280.
  * python2.7-minimal: Pre-Depend on zlib1g. Closes: #887629.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Feb 2018 09:35:17 +0100

python2.7 (2.7.14-4) unstable; urgency=medium

  * Fix applying the m-i-p-s-r6 patch.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 16:17:02 +0100

python2.7 (2.7.14-3) unstable; urgency=medium

  * Update to 20171205 from the 2.7 branch.
  * Build with -fstack-protector instead of -fstack-protector-strong.
    Performance improvements of around 1-2%.
  * Add support for mipsr6 triplets (YunQiang Su). Closes: #881945.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 10:01:24 +0100

python2.7 (2.7.14-2) unstable; urgency=medium

  * Really rename the md5_* functions.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 20:50:44 +0200

python2.7 (2.7.14-1) unstable; urgency=medium

  * Python 2.7.14 release.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 14:27:46 +0200

python2.7 (2.7.14~rc1-3) unstable; urgency=medium

  * Add package breaks for extensions referencing symbols for the removed

